#ifdef EXTERNAL_OSE
#extension GL_OES_EGL_image_external : require
#endif

precision mediump float;
#ifdef EXTERNAL_OSE
uniform samplerExternalOES sTexture;
#else
uniform sampler2D sTexture;
#endif
uniform lowp float contrast;
varying vec2 vTextureCoord;


void main()
{
    //进行纹理采样
    vec4 color1 = texture2D(sTexture, vTextureCoord);
    gl_FragColor =vec4(((color1.rgb - vec3(0.5)) * contrast + vec3(0.5)), color1.a);
}