#ifdef EXTERNAL_OSE
#extension GL_OES_EGL_image_external : require
#endif

precision mediump float;
const highp vec3 W = vec3(0.2125, 0.7154, 0.0721);
#ifdef EXTERNAL_OSE
uniform samplerExternalOES sTexture;
#else
uniform sampler2D sTexture;
#endif

varying vec2 vTextureCoord;


void main()
{
    //进行纹理采样
    vec4 color1 = texture2D(sTexture, vTextureCoord);
    float luminance = dot(color1.rgb, W);

    gl_FragColor =vec4(vec3(luminance), color1.a);
}