#ifdef EXTERNAL_OSE
#extension GL_OES_EGL_image_external : require
#endif

precision mediump float;
#ifdef EXTERNAL_OSE
uniform samplerExternalOES sTexture;
#else
uniform sampler2D sTexture;
#endif//纹理内容数据
varying vec2 vTextureCoord;//接收从顶点着色器过来的参数


void main()
{
    //进行纹理采样
    vec4 color1 = texture2D(sTexture, vTextureCoord);
    gl_FragColor =vec4(1. - color1.rgb, color1.a);
}
