#ifdef EXTERNAL_OSE
#extension GL_OES_EGL_image_external : require
#endif

precision mediump float;
#ifdef EXTERNAL_OSE
uniform samplerExternalOES sTexture;
#else
uniform sampler2D sTexture;
#endif//纹理内容数据
uniform float imageWidthFactor;
uniform float imageHeightFactor;
uniform float pixel;
varying vec2 vTextureCoord;//接收从顶点着色器过来的参数


void main()
{
    vec2 uv  = vTextureCoord.xy;
    float dx = pixel * imageWidthFactor;
    float dy = pixel * imageHeightFactor;
    vec2 coord = vec2(dx * floor(uv.x / dx), dy * floor(uv.y / dy));
    vec3 tc = texture2D(sTexture, coord).rgb;
    gl_FragColor =vec4(tc, 1.0);
}