#ifdef EXTERNAL_OSE
#extension GL_OES_EGL_image_external : require
#endif
precision mediump float;
#ifdef EXTERNAL_OSE
uniform samplerExternalOES sTexture;
#else
uniform sampler2D sTexture;
#endif

varying vec2 vTextureCoord;


void main()
{
    //进行纹理采样
    vec2 finalCoord = vTextureCoord;
    if (vTextureCoord.x < 0.5)
    {
        finalCoord.x = 0.75 - vTextureCoord.x;
    }
    else
    {
        finalCoord.x = vTextureCoord.x - 0.25;
    }
    vec4 color1 = texture2D(sTexture, finalCoord);
    gl_FragColor = color1;
}