#ifdef EXTERNAL_OSE
#extension GL_OES_EGL_image_external : require
#endif

precision lowp float;

#ifdef EXTERNAL_OSE
uniform samplerExternalOES sTexture;
#else
uniform sampler2D sTexture;
#endif//纹理内容数据
varying vec2 vTextureCoord;//接收从顶点着色器过来的参数


uniform sampler2D inputImageTexture2;

void main()
{
    vec3 texel = texture2D(sTexture, vTextureCoord).rgb;
    texel = vec3(dot(vec3(0.3, 0.6, 0.1), texel));
    texel = vec3(texture2D(inputImageTexture2, vec2(texel.r, .16666)).r);
    gl_FragColor =vec4(texel, 1.0);
}
