#ifdef EXTERNAL_OSE
#extension GL_OES_EGL_image_external : require
#endif

precision lowp float;

#ifdef EXTERNAL_OSE
uniform samplerExternalOES sTexture;
#else
uniform sampler2D sTexture;
#endif//纹理内容数据
varying vec2 vTextureCoord;//接收从顶点着色器过来的参数


uniform sampler2D inputImageTexture2;

void main()
{
    vec3 texel = texture2D(sTexture, vTextureCoord).rgb;

    vec2 lookup;
    lookup.y = .5;

    lookup.x = texel.r;
    texel.r = texture2D(inputImageTexture2, lookup).r;

    lookup.x = texel.g;
    texel.g = texture2D(inputImageTexture2, lookup).g;

    lookup.x = texel.b;
    texel.b = texture2D(inputImageTexture2, lookup).b;

    gl_FragColor =vec4(texel, 1.0);
}
