#ifdef EXTERNAL_OSE
#extension GL_OES_EGL_image_external : require
#endif

precision highp float;
#ifdef EXTERNAL_OSE
uniform samplerExternalOES sTexture;
#else
uniform sampler2D sTexture;
#endif

varying vec2 vTextureCoord;
varying vec2 vTextureCoord2;
uniform sampler2D inputImageTexture2;

void main()
{
    vec4 textureColor = texture2D(sTexture, vTextureCoord);
    vec4 textureColor2 = texture2D(inputImageTexture2, vTextureCoord2);

    gl_FragColor = max(textureColor, textureColor2);
}