uniform mat4 uMVPMatrix;
uniform int right_to_left;
attribute vec3 aPosition;
attribute vec2 aTexCoor;
varying vec2 vTextureCoord;
void main()
{
    gl_Position = uMVPMatrix * vec4(aPosition, 1);
    if (right_to_left == 1)
    {
        vTextureCoord = vec2(aTexCoor.x, 1.0 - aTexCoor.y);
    }
    else
    {
        vTextureCoord = aTexCoor;
    }
}